| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Protected Attributes | Properties | Private Member Functions | Private Attributes | Static Private Attributes

# IG::Forms::ConsoleForm Class Reference

Summary description for ConsoleForm. More...

Collaboration diagram for IG::Forms::ConsoleForm:
[legend]

List of all members.

## Public Types
enum | Styles { Normal, Error, Mark }
## Public Member Functions
| ConsoleForm ()
| ConsoleForm (string msgtext)
| Shows a fading message in a new thread, with message text equal to mshtext and without a title;.
| ConsoleForm (string msgtext, int showtime)
| Shows a fading message in a new thread, with message text equal to msgtext and with specified showing time in ms.
| ConsoleForm (string msgtext, int showtime, double fadeportion)
| Shows a fading message in a new thread, with message text equal to msgtext and with specified showing time in ms and fading time portion.
| ConsoleForm (string title, string msgtext)
| Shows the form in a new thread, with a title and with message text equal to msgtext.
| ConsoleForm (string title, string msgtext, int showtime)
| Shows a fading message in a new thread, with a title and with message text equal to msgtext, with specified showing time in ms.
| ConsoleForm (string title, string msgtext, int showtime, double fadeportion)
| Shows a fading message in a new thread, with a title and with message text equal to msgtext, with specified showing time in ms and fading time portion.
void | HideDialog ()
void | CloseDialog ()
void | ShowThread ()
| Shows a fading message in a new thread.
void | ShowThread (string text)
| Shows a fading message in a new thread, with message text equal to mshtext and without a title;.
void | ShowThread (string msgtext, int showtime)
| Shows a fading message in a new thread, with message text equal to msgtext and with specified showing time in ms.
void | ShowThread (string msgtext, int showtime, double fadeportion)
| Shows a fading message in a new thread, with message text equal to msgtext and with specified showing time in ms and fading time portion.
void | ShowThread (string title, string text)
| Shows the form in a new thread, with a title and with message text equal to msgtext.
void | ShowThread (string title, string msgtext, int showtime)
| Shows a fading message in a new thread, with a title and with message text equal to msgtext, with specified showing time in ms.
void | ShowThread (string title, string msgtext, int showtime, double fadeportion)
| Shows a fading message in a new thread, with a title and with message text equal to msgtext, with specified showing time in ms and fading time portion.
void | SetNormalStyle ()
| Sets normal style for console output.
void | SetErrorStyle ()
| Sets Error Style for console output.
void | SetMarkStyle ()
| Sets marking (emphasis) style for console output.
| ConsoleForm ()
| Argument-less constructor, does not launch the window in a parallel thread.
| ConsoleForm (string msgtext)
| Shows a console consform in a new thread, with message text equal to mshtext and without a title;.
void | HideForm ()
void | CloseForm ()
| Closes the consform by properly (i.e. thread-safe) calling the Close() and Dispose().
void | Write (bool block, string str)
void | Write (string str)
void | WriteLine (bool block, string str)
| Writes a string to the output console and appends a newline character.
void | WriteLine (string str)
void | Write (Char arg)
void | Write (Boolean arg)
void | Write (Char[] arg)
void | Write (Decimal arg)
void | Write (Double arg)
void | Write (Int32 arg)
void | Write (Int64 arg)
void | Write (Object arg)
void | Write (Single arg)
void | Write (UInt32 arg)
void | Write (UInt64 arg)
void | Write (String arg, Object arg1)
void | Write (String arg, Object[] arg1)
void | Write (Char[] arg, Int32 arg1, Int32 arg2)
void | Write (String arg, Object arg1, Object arg2)
void | Write (String arg, Object arg1, Object arg2, Object arg3)
void | WriteLine (Char arg)
void | WriteLine (Boolean arg)
void | WriteLine (Char[] arg)
void | WriteLine (Decimal arg)
void | WriteLine (Double arg)
void | WriteLine (Int32 arg)
void | WriteLine (Int64 arg)
void | WriteLine (Object arg)
void | WriteLine (Single arg)
void | WriteLine (UInt32 arg)
void | WriteLine (UInt64 arg)
void | WriteLine (String arg, Object arg1)
void | WriteLine (String arg, Object[] arg1)
void | WriteLine (Char[] arg, Int32 arg1, Int32 arg2)
void | WriteLine (String arg, Object arg1, Object arg2)
void | WriteLine (String arg, Object arg1, Object arg2, Object arg3)
void | ReportErrorBas (ReporterBase reporter, ReportType messagelevel, string errorlocation, string errormessage)
void | ReserveReportErrorBas (ReporterBase reporter, ReportType messagelevel, string location, string message, Exception ex, Exception ex1)
void | ReserveReportError (string errorstr)
virtual void | Report (ReportType messagetype, string location, string message, Exception ex)
| Basic reporting method (overloaded). Launches an error report, a warning report or s kind of report/message. Supplemental data (such as objects necessary to launch visualize the report or operation typeflags) are obtained from the class' instance.
void | Report (ReportType messagetype, string message, Exception ex)
| Launches a report. Predominantly for error and warning reports.
void | Report (ReportType messagetype, Exception ex, string location)
| Launches a report. Predominantly for error and warning reports.
void | Report (ReportType messagetype, Exception ex)
| Launches a report. Predominantly for error and warning reports.
void | Report (ReportType messagetype, string location, string message)
| Launches a report.
void | Report (ReportType messagetype, string message)
| Launches a report.
virtual void | ReportError (string location, string message, Exception ex)
| Basic error reporting method (overloaded). Supplemental data (such as objects necessary to launch visualize the report or operation typeflags) are obtained from the class' instance.
void | ReportError (string message, Exception ex)
| Launches an error report.
void | ReportError (Exception ex, string location)
| Launches an error report.
void | ReportError (Exception ex)
| Launches an error report. Predominantly for error and warning reports.
void | ReportError (string location, string message)
| Launches an error report.
void | ReportError (string message)
| Launches an error report.
virtual void | ReportWarning (string location, string message, Exception ex)
| Basic warning reporting method (overloaded). Supplemental data (such as objects necessary to launch visualize the report or operation typeflags) are obtained from the class' instance.
void | ReportWarning (string message, Exception ex)
| Launches a warning report.
void | ReportWarning (Exception ex, string location)
| Launches a warning report.
void | ReportWarning (Exception ex)
| Launches a warning report. Predominantly for error and warning reports.
void | ReportWarning (string location, string message)
| Launches a warning report.
void | ReportWarning (string message)
| Launches a warning report.
void | ReportInfo (Exception ex)
| Launches an info.
void | ReportInfo (string location, string message)
| Launches an info.
void | ReportInfo (string message)
| Launches an info.
void | ReportError0 (string errorstr)
| ConsoleForm utility for reporting errors (not global).
void | ReportError0 (Exception e)
| Reports an error (including logging, etc., dependent on the current settings).
void | ReportError0 (Exception e, string additional)
void | HideInput ()
void | ShowInput ()
string | ReadLine ()
| Reads a single line string from the input console and returns it.
string | ReadLine (string Message)
void | ReadString (ref string str)
void | ReadString (ref string str, string Message)
int | Read ()
| Reads a single character from the input console and returns it as integer.
int | Read (string Message)
double | ReadDouble (ref double Value)
double | ReadDouble (ref double Value, string Message)
double | ReadDouble ()
| Reads a floating point number from the input console and returns it.
double | ReadDouble (string Message)
long | ReadLong (ref long Value)
long | ReadLong (ref long Value, string Message)
long | ReadLong ()
| Reads a floating point number from the input console and returns it.
long | ReadLong (string Message)
void | ShowThread ()
| Shows a fading message in a new thread.
void | ShowThread (string title)
| Shows a fading message in a new thread, with message text equal to mshtext and without a title;.
## Static Public Member Functions
static void | Example ()
## Public Attributes
string | MsgTitle = null
Color | BackGroundColor = Color.LightYellow
bool | IsClosable = true
bool | WriteInput = true
| If false then the consform can not be closed or dispoded.
string | Title = "Console"
Color | NormalOutColor = Color.Blue
## Protected Attributes
string | OutBuf = null
bool | OutputStarted = false
ReporterBase | _Reporter = null
## Properties
int | ShowTime`[get, set]`
double | FadingTimePortion`[get, set]`
bool | IsBackground`[get, set]`
Color | OutBackColor`[get, set]`
| Output console background color.
Color | OutForeColor`[get, set]`
| Output console foreground color.
Color | OutSelectionColor`[get, set]`
| Output console foreground color.
Styles | Style`[get, set]`
| Defines the output style of the console.
Color | InBackColor`[get, set]`
| Input console background color.
Color | InForeColor`[get, set]`
| Input console foreground color.
ReporterBase | Reporter`[get]`
| Gets the reporter used by the current console consform for launching error and warning reports, notices, etc.
## Private Member Functions
void | baseFadeMessage ()
| Required designer variable.
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor.
void | ManipulationThreadFunc ()
void | FormThreadFunc ()
void | ConsoleForm_Load (object sender, System.EventArgs e)
void | CancelBtn_Click (object sender, EventArgs e)
void | FadeMessage_MouseClick (object sender, MouseEventArgs e)
void | UpdateOutSettings ()
void | UpdateSettings ()
| Updates all settings for the console consform on the consform'result thread.
void | baseConsoleForm ()
| Required designer variable.
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor.
void | FormThreadFunc ()
| Shows the window in a separate thread.
void | ConsoleForm_Load (object sender, System.EventArgs args)
void | ConsoleForm_Dispose (object sender, System.EventArgs e)
void | ConsoleForm_FormClosing (object sender, FormClosingEventArgs e)
void | CloseBtn_Click (object sender, EventArgs e)
void | HideBtn_Click (object sender, EventArgs e)
void | WriteOutput ()
| Appends output buffer to the output console.
void | ReserveReportError (Exception e, string additional)
void | ReserveReportError0 (string errorstr)
void | ReserveReportError0 (Exception e)
void | ReserveReportError0 (Exception e, string additional)
void | PrepareForReading ()
void | FinalizeReading ()
void | WaitResult ()
void | RunInputConfirmationDelegate ()
void | InputConfirm_Read ()
void | InputConfirm_ReadDouble ()
void | InputConfirm_ReadLong ()
void | InputChk_CheckedChanged (object sender, EventArgs e)
void | ConfirmInputBtn_Click (object sender, EventArgs e)
void | InBox_PreviewKeyDown (object sender, PreviewKeyDownEventArgs e)
void | InBox_KeyUp (object sender, KeyEventArgs e)
void | InBox_KeyPress (object sender, KeyPressEventArgs e)
void | chkWrap_CheckedChanged (object sender, EventArgs e)
## Private Attributes
System.Windows.Forms.Button | CancelBtn
Panel | TitlePanel
Panel | MessagePanel
Panel | ControlPanel
Label | TitleLbl
Label | MessageLbl
RichTextBox | OutputRichText
Panel | OutputPanel
Label | StatusLbl
int | vShowTime = defaultShowtime
double | vFadingTimePortion = defaultFadingTimePortion
string | MsgText = null
Thread | formthread = null
Thread | manipulationthread = null
Color | FadeColor = Color.Blue
bool | bgthread = true
| If true then Input messages are repeated in the output console.
object | InputLock = new object()
object | OutputLock = new object()
Color | OBg = Color.White
Color | OFg = Color.Blue
Color | OSelFg = Color.Blue
Color | IBg = Color.White
Color | IFg = Color.Violet
Color | ILblNormalBg = Color.Gray
Color | ILblNormalFg = Color.Black
Color | ILblActiveBg = Color.Yellow
Color | ILblActiveFg = Color.Blue
Color | ILblErrorBg = Color.Red
Color | ILblErrorFg = Color.Blue
Color | ErrorOutColor = Color.Red
Color | MarkOutColor = Color.Violet
CheckBox | chkWrap
Styles | OStyle = Styles.Normal
System.Windows.Forms.Button | HideBtn
Panel | OutputOuterPnl
RichTextBox | OutBox
Label | OutputLbl
Panel | InputPnl
RichTextBox | InBox
Label | InputLbl
Label | InputMsgLbl
Button | ConfirmInputBtn
CheckBox | InputChk
Button | button1
bool | OutputEnded = false
int | RecCountWrite = 0
object | errorlock = new object()
int | reccounterror = 0
int | RecCountError = 0
object | ErrorLock00 = new object()
string | InputResultString = null
string | InputMessage = null
bool | ReadStarted = false
bool | ReadFinished = false
bool | MultiLineInput = false
bool | SingleCharacterInput = false
bool | DeleteLastNewline = false
bool | SelectInput = false
int | KeyValue = 0
Keys | KeyData = Keys.None
Keys | KeyCode = Keys.None
IFormatProvider | FormatProvider = System.Globalization.CultureInfo.CreateSpecificCulture("")
VoidDelegate | InputConfirmDelegate
## Static Private Attributes
static int | defaultShowtime = 3000
static double | defaultFadingTimePortion = 0.3

## Detailed Description

Summary description for ConsoleForm.

Console replacement.

## Member Enumeration Documentation

enum IG::Forms::ConsoleForm::Styles

Handles a consform that can be use as console output and input window, for logging messages, etc. Input and output window are separated. The window can be launched in a separate thread.

Enumerator:

  Normal |
  Error |
  Mark |

## Constructor & Destructor Documentation

IG::Forms::ConsoleForm::ConsoleForm | ( |  | ) | `[inline]`

IG::Forms::ConsoleForm::ConsoleForm | ( | string | msgtext | ) | `[inline]`

Shows a fading message in a new thread, with message text equal to mshtext and without a title;.

IG::Forms::ConsoleForm::ConsoleForm | ( | string | msgtext,
|  | int | showtime
| ) |  | `[inline]`

Shows a fading message in a new thread, with message text equal to msgtext and with specified showing time in ms.

IG::Forms::ConsoleForm::ConsoleForm | ( | string | msgtext,
|  | int | showtime,
|  | double | fadeportion
| ) |  | `[inline]`

Shows a fading message in a new thread, with message text equal to msgtext and with specified showing time in ms and fading time portion.

IG::Forms::ConsoleForm::ConsoleForm | ( | string | title,
|  | string | msgtext
| ) |  | `[inline]`

Shows the form in a new thread, with a title and with message text equal to msgtext.

IG::Forms::ConsoleForm::ConsoleForm | ( | string | title,
|  | string | msgtext,
|  | int | showtime
| ) |  | `[inline]`

Shows a fading message in a new thread, with a title and with message text equal to msgtext, with specified showing time in ms.

IG::Forms::ConsoleForm::ConsoleForm | ( | string | title,
|  | string | msgtext,
|  | int | showtime,
|  | double | fadeportion
| ) |  | `[inline]`

Shows a fading message in a new thread, with a title and with message text equal to msgtext, with specified showing time in ms and fading time portion.

IG::Forms::ConsoleForm::ConsoleForm | ( |  | ) | `[inline]`

Argument-less constructor, does not launch the window in a parallel thread.

IG::Forms::ConsoleForm::ConsoleForm | ( | string | msgtext | ) | `[inline]`

Shows a console consform in a new thread, with message text equal to mshtext and without a title;.

## Member Function Documentation

void IG::Forms::ConsoleForm::baseFadeMessage | ( |  | ) | `[inline, private]`

Required designer variable.

void IG::Forms::ConsoleForm::InitializeComponent | ( |  | ) | `[inline, private]`

Required method for Designer support - do not modify the contents of this method with the code editor.

void IG::Forms::ConsoleForm::ManipulationThreadFunc | ( |  | ) | `[inline, private]`

void IG::Forms::ConsoleForm::FormThreadFunc | ( |  | ) | `[inline, private]`

void IG::Forms::ConsoleForm::ConsoleForm_Load | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ConsoleForm::CancelBtn_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ConsoleForm::HideDialog | ( |  | ) | `[inline]`

void IG::Forms::ConsoleForm::CloseDialog | ( |  | ) | `[inline]`

void IG::Forms::ConsoleForm::ShowThread | ( |  | ) | `[inline]`

Shows a fading message in a new thread.

this.ShowDialog();

void IG::Forms::ConsoleForm::ShowThread | ( | string | text | ) | `[inline]`

Shows a fading message in a new thread, with message text equal to mshtext and without a title;.

void IG::Forms::ConsoleForm::ShowThread | ( | string | msgtext,
|  | int | showtime
| ) |  | `[inline]`

Shows a fading message in a new thread, with message text equal to msgtext and with specified showing time in ms.

void IG::Forms::ConsoleForm::ShowThread | ( | string | msgtext,
|  | int | showtime,
|  | double | fadeportion
| ) |  | `[inline]`

Shows a fading message in a new thread, with message text equal to msgtext and with specified showing time in ms and fading time portion.

void IG::Forms::ConsoleForm::ShowThread | ( | string | title,
|  | string | text
| ) |  | `[inline]`

Shows the form in a new thread, with a title and with message text equal to msgtext.

void IG::Forms::ConsoleForm::ShowThread | ( | string | title,
|  | string | msgtext,
|  | int | showtime
| ) |  | `[inline]`

Shows a fading message in a new thread, with a title and with message text equal to msgtext, with specified showing time in ms.

void IG::Forms::ConsoleForm::ShowThread | ( | string | title,
|  | string | msgtext,
|  | int | showtime,
|  | double | fadeportion
| ) |  | `[inline]`

Shows a fading message in a new thread, with a title and with message text equal to msgtext, with specified showing time in ms and fading time portion.

void IG::Forms::ConsoleForm::FadeMessage_MouseClick | ( | object | sender,
|  | MouseEventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ConsoleForm::SetNormalStyle | ( |  | ) | `[inline]`

Sets normal style for console output.

void IG::Forms::ConsoleForm::SetErrorStyle | ( |  | ) | `[inline]`

Sets Error Style for console output.

void IG::Forms::ConsoleForm::SetMarkStyle | ( |  | ) | `[inline]`

Sets marking (emphasis) style for console output.

void IG::Forms::ConsoleForm::UpdateOutSettings | ( |  | ) | `[inline, private]`

Updates only those settings of the console consform that influence output operation, in the consform'result thread. This is performed separately from UpdateSettings() to enable faster execution of this vital update.

void IG::Forms::ConsoleForm::UpdateSettings | ( |  | ) | `[inline, private]`

Updates all settings for the console consform on the consform'result thread.

void IG::Forms::ConsoleForm::baseConsoleForm | ( |  | ) | `[inline, private]`

Required designer variable.

Common initialization part called from all constructors.

void IG::Forms::ConsoleForm::InitializeComponent | ( |  | ) | `[inline, private]`

Required method for Designer support - do not modify the contents of this method with the code editor.

void IG::Forms::ConsoleForm::FormThreadFunc | ( |  | ) | `[inline, private]`

Shows the window in a separate thread.

void IG::Forms::ConsoleForm::ConsoleForm_Load | ( | object | sender,
|  | System.EventArgs | args
| ) |  | `[inline, private]`

void IG::Forms::ConsoleForm::ConsoleForm_Dispose | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ConsoleForm::ConsoleForm_FormClosing | ( | object | sender,
|  | FormClosingEventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ConsoleForm::CloseBtn_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ConsoleForm::HideBtn_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ConsoleForm::HideForm | ( |  | ) | `[inline]`

void IG::Forms::ConsoleForm::CloseForm | ( |  | ) | `[inline]`

Closes the consform by properly (i.e. thread-safe) calling the Close() and Dispose().

void IG::Forms::ConsoleForm::WriteOutput | ( |  | ) | `[inline, private]`

Appends output buffer to the output console.

void IG::Forms::ConsoleForm::Write | ( | bool | block,
|  | string | str
| ) |  | `[inline]`

Writes a string to the output console. If block=true, then it blocks until the string is actually written.

void IG::Forms::ConsoleForm::Write | ( | string | str | ) | `[inline]`

void IG::Forms::ConsoleForm::WriteLine | ( | bool | block,
|  | string | str
| ) |  | `[inline]`

Writes a string to the output console and appends a newline character.

void IG::Forms::ConsoleForm::WriteLine | ( | string | str | ) | `[inline]`

void IG::Forms::ConsoleForm::Write | ( | Char | arg | ) | `[inline]`

void IG::Forms::ConsoleForm::Write | ( | Boolean | arg | ) | `[inline]`

void IG::Forms::ConsoleForm::Write | ( | Char[] | arg | ) | `[inline]`

void IG::Forms::ConsoleForm::Write | ( | Decimal | arg | ) | `[inline]`

void IG::Forms::ConsoleForm::Write | ( | Double | arg | ) | `[inline]`

void IG::Forms::ConsoleForm::Write | ( | Int32 | arg | ) | `[inline]`

void IG::Forms::ConsoleForm::Write | ( | Int64 | arg | ) | `[inline]`

void IG::Forms::ConsoleForm::Write | ( | Object | arg | ) | `[inline]`

void IG::Forms::ConsoleForm::Write | ( | Single | arg | ) | `[inline]`

void IG::Forms::ConsoleForm::Write | ( | UInt32 | arg | ) | `[inline]`

void IG::Forms::ConsoleForm::Write | ( | UInt64 | arg | ) | `[inline]`

void IG::Forms::ConsoleForm::Write | ( | String | arg,
|  | Object | arg1
| ) |  | `[inline]`

void IG::Forms::ConsoleForm::Write | ( | String | arg,
|  | Object[] | arg1
| ) |  | `[inline]`

void IG::Forms::ConsoleForm::Write | ( | Char[] | arg,
|  | Int32 | arg1,
|  | Int32 | arg2
| ) |  | `[inline]`

void IG::Forms::ConsoleForm::Write | ( | String | arg,
|  | Object | arg1,
|  | Object | arg2
| ) |  | `[inline]`

void IG::Forms::ConsoleForm::Write | ( | String | arg,
|  | Object | arg1,
|  | Object | arg2,
|  | Object | arg3
| ) |  | `[inline]`

void IG::Forms::ConsoleForm::WriteLine | ( | Char | arg | ) | `[inline]`

void IG::Forms::ConsoleForm::WriteLine | ( | Boolean | arg | ) | `[inline]`

void IG::Forms::ConsoleForm::WriteLine | ( | Char[] | arg | ) | `[inline]`

void IG::Forms::ConsoleForm::WriteLine | ( | Decimal | arg | ) | `[inline]`

void IG::Forms::ConsoleForm::WriteLine | ( | Double | arg | ) | `[inline]`

void IG::Forms::ConsoleForm::WriteLine | ( | Int32 | arg | ) | `[inline]`

void IG::Forms::ConsoleForm::WriteLine | ( | Int64 | arg | ) | `[inline]`

void IG::Forms::ConsoleForm::WriteLine | ( | Object | arg | ) | `[inline]`

void IG::Forms::ConsoleForm::WriteLine | ( | Single | arg | ) | `[inline]`

void IG::Forms::ConsoleForm::WriteLine | ( | UInt32 | arg | ) | `[inline]`

void IG::Forms::ConsoleForm::WriteLine | ( | UInt64 | arg | ) | `[inline]`

void IG::Forms::ConsoleForm::WriteLine | ( | String | arg,
|  | Object | arg1
| ) |  | `[inline]`

void IG::Forms::ConsoleForm::WriteLine | ( | String | arg,
|  | Object[] | arg1
| ) |  | `[inline]`

void IG::Forms::ConsoleForm::WriteLine | ( | Char[] | arg,
|  | Int32 | arg1,
|  | Int32 | arg2
| ) |  | `[inline]`

void IG::Forms::ConsoleForm::WriteLine | ( | String | arg,
|  | Object | arg1,
|  | Object | arg2
| ) |  | `[inline]`

void IG::Forms::ConsoleForm::WriteLine | ( | String | arg,
|  | Object | arg1,
|  | Object | arg2,
|  | Object | arg3
| ) |  | `[inline]`

void IG::Forms::ConsoleForm::ReportErrorBas | ( | ReporterBase | reporter,
|  | ReportType | messagelevel,
|  | string | errorlocation,
|  | string | errormessage
| ) |  | `[inline]`

void IG::Forms::ConsoleForm::ReserveReportErrorBas | ( | ReporterBase | reporter,
|  | ReportType | messagelevel,
|  | string | location,
|  | string | message,
|  | Exception | ex,
|  | Exception | ex1
| ) |  | `[inline]`

void IG::Forms::ConsoleForm::ReserveReportError | ( | Exception | e,
|  | string | additional
| ) |  | `[inline, private]`

void IG::Forms::ConsoleForm::ReserveReportError | ( | string | errorstr | ) | `[inline]`

virtual void IG::Forms::ConsoleForm::Report | ( | ReportType | messagetype,
|  | string | location,
|  | string | message,
|  | Exception | ex
| ) |  | `[inline, virtual]`

Basic reporting method (overloaded). Launches an error report, a warning report or s kind of report/message. Supplemental data (such as objects necessary to launch visualize the report or operation typeflags) are obtained from the class' instance.

Parameters:

  messagetype | The type of the report (e.g. Error, Warning, etc.).
  location | User-provided description of error location.
  message | User-provided description of error.
  ex | Exception thrown when error occurred.

void IG::Forms::ConsoleForm::Report | ( | ReportType | messagetype,
|  | string | message,
|  | Exception | ex
| ) |  | `[inline]`

Launches a report. Predominantly for error and warning reports.

Parameters:

  messagetype | Level of the message (Error, Warnind, etc.).
  message | User-provided description of error.
  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

void IG::Forms::ConsoleForm::Report | ( | ReportType | messagetype,
|  | Exception | ex,
|  | string | location
| ) |  | `[inline]`

Launches a report. Predominantly for error and warning reports.

Parameters:

  messagetype | Level of the message (Error, Warnind, etc.).
  ex | Exception that is the cause for launching the report (and from which additional information is extracted).
  location | User-provided description of error location.

void IG::Forms::ConsoleForm::Report | ( | ReportType | messagetype,
|  | Exception | ex
| ) |  | `[inline]`

Launches a report. Predominantly for error and warning reports.

Parameters:

  messagetype | Level of the message (Error, Warnind, etc.).
  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

void IG::Forms::ConsoleForm::Report | ( | ReportType | messagetype,
|  | string | location,
|  | string | message
| ) |  | `[inline]`

Launches a report.

Parameters:

  messagetype | Level of the message (Error, Warnind, etc.).
  location | User provided description of the location where report was triggered.
  message | User provided message included in the report.

void IG::Forms::ConsoleForm::Report | ( | ReportType | messagetype,
|  | string | message
| ) |  | `[inline]`

Launches a report.

Parameters:

  messagetype | Level of the message (Error, Warnind, etc.).
  message | User provided message included in the report.

virtual void IG::Forms::ConsoleForm::ReportError | ( | string | location,
|  | string | message,
|  | Exception | ex
| ) |  | `[inline, virtual]`

Basic error reporting method (overloaded). Supplemental data (such as objects necessary to launch visualize the report or operation typeflags) are obtained from the class' instance.

Parameters:

  location | User-provided description of error location.
  message | User-provided description of error.
  ex | Exception thrown when error occurred.

void IG::Forms::ConsoleForm::ReportError | ( | string | message,
|  | Exception | ex
| ) |  | `[inline]`

Launches an error report.

Parameters:

  message | User-provided description of error.
  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

void IG::Forms::ConsoleForm::ReportError | ( | Exception | ex,
|  | string | location
| ) |  | `[inline]`

Launches an error report.

Parameters:

  ex | Exception that is the cause for launching the report (and from which additional information is extracted).
  location | User-provided description of error location.

void IG::Forms::ConsoleForm::ReportError | ( | Exception | ex | ) | `[inline]`

Launches an error report. Predominantly for error and warning reports.

Parameters:

  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

void IG::Forms::ConsoleForm::ReportError | ( | string | location,
|  | string | message
| ) |  | `[inline]`

Launches an error report.

Parameters:

  location | User provided description of the location where report was triggered.
  message | User provided message included in the report.

void IG::Forms::ConsoleForm::ReportError | ( | string | message | ) | `[inline]`

Launches an error report.

Parameters:

  message | User provided message included in the report.

virtual void IG::Forms::ConsoleForm::ReportWarning | ( | string | location,
|  | string | message,
|  | Exception | ex
| ) |  | `[inline, virtual]`

Basic warning reporting method (overloaded). Supplemental data (such as objects necessary to launch visualize the report or operation typeflags) are obtained from the class' instance.

Parameters:

  location | User-provided description of error location.
  message | User-provided description of error.
  ex | Exception thrown when error occurred.

void IG::Forms::ConsoleForm::ReportWarning | ( | string | message,
|  | Exception | ex
| ) |  | `[inline]`

Launches a warning report.

Parameters:

  message | User-provided description of error.
  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

void IG::Forms::ConsoleForm::ReportWarning | ( | Exception | ex,
|  | string | location
| ) |  | `[inline]`

Launches a warning report.

Parameters:

  ex | Exception that is the cause for launching the report (and from which additional information is extracted).
  location | User-provided description of error location.

void IG::Forms::ConsoleForm::ReportWarning | ( | Exception | ex | ) | `[inline]`

Launches a warning report. Predominantly for error and warning reports.

Parameters:

  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

void IG::Forms::ConsoleForm::ReportWarning | ( | string | location,
|  | string | message
| ) |  | `[inline]`

Launches a warning report.

Parameters:

  location | User provided description of the location where report was triggered.
  message | User provided message included in the report.

void IG::Forms::ConsoleForm::ReportWarning | ( | string | message | ) | `[inline]`

Launches a warning report.

Parameters:

  message | User provided message included in the report.

void IG::Forms::ConsoleForm::ReportInfo | ( | Exception | ex | ) | `[inline]`

Launches an info.

Parameters:

  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

void IG::Forms::ConsoleForm::ReportInfo | ( | string | location,
|  | string | message
| ) |  | `[inline]`

Launches an info.

Parameters:

  location | User provided description of the location where report was triggered.
  message | User provided message included in the report.

void IG::Forms::ConsoleForm::ReportInfo | ( | string | message | ) | `[inline]`

Launches an info.

Parameters:

  message | User provided message included in the report.

void IG::Forms::ConsoleForm::ReportError0 | ( | string | errorstr | ) | `[inline]`

ConsoleForm utility for reporting errors (not global).

void IG::Forms::ConsoleForm::ReportError0 | ( | Exception | e | ) | `[inline]`

Reports an error (including logging, etc., dependent on the current settings).

void IG::Forms::ConsoleForm::ReportError0 | ( | Exception | e,
|  | string | additional
| ) |  | `[inline]`

Reports an error (including logging, etc., dependent on the current settings). An additonal string is appended to error report.

void IG::Forms::ConsoleForm::ReserveReportError0 | ( | string | errorstr | ) | `[inline, private]`

void IG::Forms::ConsoleForm::ReserveReportError0 | ( | Exception | e | ) | `[inline, private]`

void IG::Forms::ConsoleForm::ReserveReportError0 | ( | Exception | e,
|  | string | additional
| ) |  | `[inline, private]`

void IG::Forms::ConsoleForm::HideInput | ( |  | ) | `[inline]`

void IG::Forms::ConsoleForm::ShowInput | ( |  | ) | `[inline]`

void IG::Forms::ConsoleForm::PrepareForReading | ( |  | ) | `[inline, private]`

void IG::Forms::ConsoleForm::FinalizeReading | ( |  | ) | `[inline, private]`

void IG::Forms::ConsoleForm::WaitResult | ( |  | ) | `[inline, private]`

Waits until result is available (indicating by the flag ReadFinished, which must be set by the ReadDelegate).

void IG::Forms::ConsoleForm::RunInputConfirmationDelegate | ( |  | ) | `[inline, private]`

Runs specific function for handling user input consform input console, which grabs the input, eventually validates it, and notifies the caller that reading is finished when validation succeeds.

void IG::Forms::ConsoleForm::InputConfirm_Read | ( |  | ) | `[inline, private]`

This function should be called as event handler for input events (such as <Enter> pressed in the input console or button "Confirm Input" pressed).

string IG::Forms::ConsoleForm::ReadLine | ( |  | ) | `[inline]`

Reads a single line string from the input console and returns it.

string IG::Forms::ConsoleForm::ReadLine | ( | string | Message | ) | `[inline]`

Reads a single line string from the input console and returns it. If Message!=Null then Message is written above the input consform before reading.

void IG::Forms::ConsoleForm::ReadString | ( | ref string | str | ) | `[inline]`

void IG::Forms::ConsoleForm::ReadString | ( | ref string | str,
|  | string | Message
| ) |  | `[inline]`

Reads a multiple line string from the input console and returns it in OutStr. If Message!=Null then Message is written above the input consform before reading.

int IG::Forms::ConsoleForm::Read | ( |  | ) | `[inline]`

Reads a single character from the input console and returns it as integer.

int IG::Forms::ConsoleForm::Read | ( | string | Message | ) | `[inline]`

Reads a single character from the input console and returns it as integer. If Message!=null then it is written above the input consform before reading starts.

void IG::Forms::ConsoleForm::InputConfirm_ReadDouble | ( |  | ) | `[inline, private]`

double IG::Forms::ConsoleForm::ReadDouble | ( | ref double | Value | ) | `[inline]`

Reads a floating point number from the input console and returns it in Value. Initial value of the number is set to Value prior to reading.

double IG::Forms::ConsoleForm::ReadDouble | ( | ref double | Value,
|  | string | Message
| ) |  | `[inline]`

Reads a floating point number from the input console and returns it in Value. If Message!=null then it is written above the input consform before reading starts. Initial value of the number is set to Value prior to reading.

double IG::Forms::ConsoleForm::ReadDouble | ( |  | ) | `[inline]`

Reads a floating point number from the input console and returns it.

double IG::Forms::ConsoleForm::ReadDouble | ( | string | Message | ) | `[inline]`

Reads a floating point number from the input console and returns it. If Message!=null then it is written above the input consform before reading starts.

void IG::Forms::ConsoleForm::InputConfirm_ReadLong | ( |  | ) | `[inline, private]`

This function should be called as event handler for input events (such as <Enter> pressed in the input console or button "Confirm Input" pressed), for confirmation of floating point numbers input.

long IG::Forms::ConsoleForm::ReadLong | ( | ref long | Value | ) | `[inline]`

Reads a floating point number from the input console and returns it in Value. Initial value of the number is set to Value prior to reading.

long IG::Forms::ConsoleForm::ReadLong | ( | ref long | Value,
|  | string | Message
| ) |  | `[inline]`

Reads a floating point number from the input console and returns it in Value. If Message!=null then it is written above the input consform before reading starts. Initial value of the number is set to Value prior to reading.

long IG::Forms::ConsoleForm::ReadLong | ( |  | ) | `[inline]`

Reads a floating point number from the input console and returns it.

long IG::Forms::ConsoleForm::ReadLong | ( | string | Message | ) | `[inline]`

Reads a floating point number from the input console and returns it. If Message!=null then it is written above the input consform before reading starts.

void IG::Forms::ConsoleForm::ShowThread | ( |  | ) | `[inline]`

Shows a fading message in a new thread.

void IG::Forms::ConsoleForm::ShowThread | ( | string | title | ) | `[inline]`

Shows a fading message in a new thread, with message text equal to mshtext and without a title;.

void IG::Forms::ConsoleForm::InputChk_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ConsoleForm::ConfirmInputBtn_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ConsoleForm::InBox_PreviewKeyDown | ( | object | sender,
|  | PreviewKeyDownEventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ConsoleForm::InBox_KeyUp | ( | object | sender,
|  | KeyEventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ConsoleForm::InBox_KeyPress | ( | object | sender,
|  | KeyPressEventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::ConsoleForm::chkWrap_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

static void IG::Forms::ConsoleForm::Example | ( |  | ) | `[inline, static]`

## Member Data Documentation

System.Windows.Forms.Button IG::Forms::ConsoleForm::CancelBtn`[private]`

Panel IG::Forms::ConsoleForm::TitlePanel`[private]`

Panel IG::Forms::ConsoleForm::MessagePanel`[private]`

Panel IG::Forms::ConsoleForm::ControlPanel`[private]`

Label IG::Forms::ConsoleForm::TitleLbl`[private]`

Label IG::Forms::ConsoleForm::MessageLbl`[private]`

RichTextBox IG::Forms::ConsoleForm::OutputRichText`[private]`

Panel IG::Forms::ConsoleForm::OutputPanel`[private]`

Label IG::Forms::ConsoleForm::StatusLbl`[private]`

int IG::Forms::ConsoleForm::defaultShowtime = 3000`[static, private]`

double IG::Forms::ConsoleForm::defaultFadingTimePortion = 0.3`[static, private]`

int IG::Forms::ConsoleForm::vShowTime = defaultShowtime`[private]`

double IG::Forms::ConsoleForm::vFadingTimePortion = defaultFadingTimePortion`[private]`

string IG::Forms::ConsoleForm::MsgTitle = null

string IG::Forms::ConsoleForm::MsgText = null`[private]`

Thread IG::Forms::ConsoleForm::formthread = null`[private]`

Thread IG::Forms::ConsoleForm::manipulationthread = null`[private]`

Color IG::Forms::ConsoleForm::BackGroundColor = Color.LightYellow

Color IG::Forms::ConsoleForm::FadeColor = Color.Blue`[private]`

bool IG::Forms::ConsoleForm::IsClosable = true

bool IG::Forms::ConsoleForm::WriteInput = true

If false then the consform can not be closed or dispoded.

bool IG::Forms::ConsoleForm::bgthread = true`[private]`

If true then Input messages are repeated in the output console.

object IG::Forms::ConsoleForm::InputLock = new object()`[private]`

object IG::Forms::ConsoleForm::OutputLock = new object()`[private]`

string IG::Forms::ConsoleForm::Title = "Console"

Color IG::Forms::ConsoleForm::OBg = Color.White`[private]`

Color IG::Forms::ConsoleForm::OFg = Color.Blue`[private]`

Color IG::Forms::ConsoleForm::OSelFg = Color.Blue`[private]`

Color IG::Forms::ConsoleForm::IBg = Color.White`[private]`

Color IG::Forms::ConsoleForm::IFg = Color.Violet`[private]`

Color IG::Forms::ConsoleForm::ILblNormalBg = Color.Gray`[private]`

Color IG::Forms::ConsoleForm::ILblNormalFg = Color.Black`[private]`

Color IG::Forms::ConsoleForm::ILblActiveBg = Color.Yellow`[private]`

Color IG::Forms::ConsoleForm::ILblActiveFg = Color.Blue`[private]`

Color IG::Forms::ConsoleForm::ILblErrorBg = Color.Red`[private]`

Color IG::Forms::ConsoleForm::ILblErrorFg = Color.Blue`[private]`

Color IG::Forms::ConsoleForm::NormalOutColor = Color.Blue

Color IG::Forms::ConsoleForm::ErrorOutColor = Color.Red`[private]`

Color IG::Forms::ConsoleForm::MarkOutColor = Color.Violet`[private]`

CheckBox IG::Forms::ConsoleForm::chkWrap`[private]`

Styles IG::Forms::ConsoleForm::OStyle = Styles.Normal`[private]`

System.Windows.Forms.Button IG::Forms::ConsoleForm::HideBtn`[private]`

Panel IG::Forms::ConsoleForm::OutputOuterPnl`[private]`

RichTextBox IG::Forms::ConsoleForm::OutBox`[private]`

Label IG::Forms::ConsoleForm::OutputLbl`[private]`

Panel IG::Forms::ConsoleForm::InputPnl`[private]`

RichTextBox IG::Forms::ConsoleForm::InBox`[private]`

Label IG::Forms::ConsoleForm::InputLbl`[private]`

Label IG::Forms::ConsoleForm::InputMsgLbl`[private]`

Button IG::Forms::ConsoleForm::ConfirmInputBtn`[private]`

CheckBox IG::Forms::ConsoleForm::InputChk`[private]`

Button IG::Forms::ConsoleForm::button1`[private]`

string IG::Forms::ConsoleForm::OutBuf = null`[protected]`

bool IG::Forms::ConsoleForm::OutputStarted = false`[protected]`

bool IG::Forms::ConsoleForm::OutputEnded = false`[private]`

int IG::Forms::ConsoleForm::RecCountWrite = 0`[private]`

object IG::Forms::ConsoleForm::errorlock = new object()`[private]`

int IG::Forms::ConsoleForm::reccounterror = 0`[private]`

ReporterBase IG::Forms::ConsoleForm::_Reporter = null`[protected]`

int IG::Forms::ConsoleForm::RecCountError = 0`[private]`

object IG::Forms::ConsoleForm::ErrorLock00 = new object()`[private]`

string IG::Forms::ConsoleForm::InputResultString = null`[private]`

string IG::Forms::ConsoleForm::InputMessage = null`[private]`

bool IG::Forms::ConsoleForm::ReadStarted = false`[private]`

bool IG::Forms::ConsoleForm::ReadFinished = false`[private]`

bool IG::Forms::ConsoleForm::MultiLineInput = false`[private]`

bool IG::Forms::ConsoleForm::SingleCharacterInput = false`[private]`

bool IG::Forms::ConsoleForm::DeleteLastNewline = false`[private]`

bool IG::Forms::ConsoleForm::SelectInput = false`[private]`

int IG::Forms::ConsoleForm::KeyValue = 0`[private]`

Keys IG::Forms::ConsoleForm::KeyData = Keys.None`[private]`

Keys IG::Forms::ConsoleForm::KeyCode = Keys.None`[private]`

IFormatProvider IG::Forms::ConsoleForm::FormatProvider = System.Globalization.CultureInfo.CreateSpecificCulture("")`[private]`

VoidDelegate IG::Forms::ConsoleForm::InputConfirmDelegate`[private]`

## Property Documentation

int IG::Forms::ConsoleForm::ShowTime`[get, set]`

double IG::Forms::ConsoleForm::FadingTimePortion`[get, set]`

bool IG::Forms::ConsoleForm::IsBackground`[get, set]`

Color IG::Forms::ConsoleForm::OutBackColor`[get, set]`

Output console background color.

Color IG::Forms::ConsoleForm::OutForeColor`[get, set]`

Output console foreground color.

Color IG::Forms::ConsoleForm::OutSelectionColor`[get, set]`

Output console foreground color.

Styles IG::Forms::ConsoleForm::Style`[get, set]`

Defines the output style of the console.

Color IG::Forms::ConsoleForm::InBackColor`[get, set]`

Input console background color.

Color IG::Forms::ConsoleForm::InForeColor`[get, set]`

Input console foreground color.

ReporterBase IG::Forms::ConsoleForm::Reporter`[get]`

Gets the reporter used by the current console consform for launching error and warning reports, notices, etc.

The documentation for this class was generated from the following files:

- 00copy/console_form.cs
- console_form.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events